Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057635 - initscripts-9.51-1 unable to setup ip address for AP
Summary: initscripts-9.51-1 unable to setup ip address for AP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 20
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Lukáš Nykrýn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1058010 1058859 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 14:16 UTC by Michal Kovarik
Modified: 2015-06-30 00:52 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:52:21 UTC


Attachments (Terms of Use)

Description Michal Kovarik 2014-01-24 14:16:57 UTC
Description of problem:
I'm using hostapd for wifi AP. In previous version of initscripts I was able to setup ip address and netmask for wireless device with this file - ifcfg-wlp3s0:
DEVICE=wlp3s0
ONBOOT=yes
NM_CONTOROLLED=no
BOOTPROTO=static
IPADDR=10.10.0.1
NETMASK=255.0.0.0


After update to initscripts-9.51-1 this solution has stopped working.
network.service has failed to start

Additional info:
Similar bug 1056593

Comment 1 Pavel Šimerda (pavlix) 2014-01-24 14:25:48 UTC
The solution is to avoid calling 'exit' in 'ifup-wireless' when some of the required options are not set. For example, if MODE is missing, we should avoid doing anything in 'ifup-wireless' as that doesn't constitute a valid wireless configuration, but we should still fall through to IP configuration and not break the configuration process.

Comment 2 Lukáš Nykrýn 2014-01-30 11:13:56 UTC
*** Bug 1058010 has been marked as a duplicate of this bug. ***

Comment 3 Ben Boeckel 2014-02-04 03:42:23 UTC
Bug #1058859 is probably a duplicate.

Comment 4 Pavel Šimerda (pavlix) 2014-02-04 12:23:19 UTC
*** Bug 1058859 has been marked as a duplicate of this bug. ***

Comment 5 Pavel Šimerda (pavlix) 2014-02-04 13:13:21 UTC
(In reply to Ben Boeckel from comment #3)
> Bug #1058859 is probably a duplicate.

Thanks.

Comment 7 Pavel Šimerda (pavlix) 2014-03-06 10:29:25 UTC
Moving to Lukáš as upstream is fixed.

Comment 8 Fedora End Of Life 2015-05-29 10:39:46 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-30 00:52:21 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.